Subject: bug#20499: [PROPOSED PATCH] C-x 8 shorthands for curved quotes, Euro, etc.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 May 2015 08:48:24 +0300

> Date: Thu, 07 May 2015 18:22:25 -0400
> From: Richard Stallman <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>   > Maybe I don't understand the use case you have in mind.  I thought the
>   > use case was that you already know the character's name, at least
>   > approximately, and want to look up its code, to type is faster.
> 
> I know what the character looks like.  It is NOT easy to guess
> what the name would be.  There are many possibilities.

If that's the use case (I don't think you described it before), then
we indeed need a convenient facility to browse character glyphs.  But
that facility should allow to specify additional information, such as
the script name, or block name, or the base character, otherwise you
are likely to give up due to the sheer number of characters to view.

>   > > C-x 8 RET is even worse than that, because it requires
>   > > _copying_ the name of the character.  To actually see the character
>   > > point is on requires
>   > > M-f C-f C-SPC C-s ; C-b M-w C-a C-x 8 RET C-y SPC
> 
>   > "C-x 8 RET" accepts the codepoint in hex, so if you are already
>   > looking at the line that defines the character, all you need is to
>   > type a 4-, sometimes 5-hex-digit number.
> 
>   > And if you want to type the name, "C-x 8 RET" provides completion, so
>   > no need for such a complicated dance for copying the name.
> 
> Are you kidding?  Just to see 32 characters' glyphs
> I'd have to type 128 input characters.

No, you need to type much less.  A codepoint, if you know it, is at
most 5 characters, and for name completion, typing something like

  C-x 8 RET greek <TAB> <TAB>

(all in all 10 characters) will have the completions buffer pop up.
Each completion candidate has the character glyph displayed right next
to it, so you could use that for finding the one you are looking for.